### Enumeration

# AppStream ComponentScope

#### Declaration

    enum AppStream.ComponentScope

#### Description [src]

Scope of the `AsComponent` (system-wide or user-scope).

#### Members

`AS_COMPONENT_SCOPE_UNKNOWN`

  Unknown scope.

  - Value: `0`
  - Available since: 1.0
`AS_COMPONENT_SCOPE_SYSTEM`

  System scope.

  - Value: `1`
  - Available since: 1.0
`AS_COMPONENT_SCOPE_USER`

  User scope.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_component_scope_from_string

Converts the text representation to an enumerated value.

###### as_component_scope_to_string

Converts the enumerated value to an text representation.